x11/py-Pmw - The NetBSD Packages Collection

Python meta widgets (python-2.x version)

Pmw is a toolkit for building high-level compound widgets in Python
using the Tkinter module.

It consists of a set of base classes and a library of flexible and
extensible megawidgets built on this foundation. These megawidgets
include notebooks, comboboxes, selection widgets, paned widgets,
scrolled widgets and dialog windows.

This is the python-2.x version of the module.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

x11/py-Tk x11/blt lang/python27 lang/python27

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy27-Pmw-1.3.2.tgz
NetBSD 8.0earmv7hfpy27-Pmw-1.3.2.tgz
NetBSD 8.0i386py27-Pmw-1.3.2.tgz
NetBSD 8.0i386py27-Pmw-1.3.2.tgz
NetBSD 8.0i386py27-Pmw-1.3.2.tgz
NetBSD 8.0powerpcpy27-Pmw-1.3.2.tgz
NetBSD 8.0powerpcpy27-Pmw-1.3.2.tgz
NetBSD 8.0powerpcpy27-Pmw-1.3.2.tgz
NetBSD 8.0x86_64py27-Pmw-1.3.2.tgz
NetBSD 8.0x86_64py27-Pmw-1.3.2.tgz
NetBSD 9.0aarch64py27-Pmw-1.3.2.tgz
NetBSD 9.0aarch64py27-Pmw-1.3.2.tgz
NetBSD 9.0aarch64py27-Pmw-1.3.2.tgz
NetBSD 9.0alphapy27-Pmw-1.3.2.tgz
NetBSD 9.0alphapy27-Pmw-1.3.2.tgz
NetBSD 9.0alphapy27-Pmw-1.3.2.tgz
NetBSD 9.0earmv6hfpy27-Pmw-1.3.2.tgz
NetBSD 9.0earmv6hfpy27-Pmw-1.3.2.tgz
NetBSD 9.0earmv6hfpy27-Pmw-1.3.2.tgz
NetBSD 9.0earmv6hfpy27-Pmw-1.3.2.tgz
NetBSD 9.0earmv7hfpy27-Pmw-1.3.2.tgz
NetBSD 9.0earmv7hfpy27-Pmw-1.3.2.tgz
NetBSD 9.0earmv7hfpy27-Pmw-1.3.2.tgz
NetBSD 9.0earmv7hfpy27-Pmw-1.3.2.tgz
NetBSD 9.0i386py27-Pmw-1.3.2.tgz
NetBSD 9.0i386py27-Pmw-1.3.2.tgz
NetBSD 9.0i386py27-Pmw-1.3.2.tgz
NetBSD 9.0mips64ebpy27-Pmw-1.3.2.tgz
NetBSD 9.0mips64ebpy27-Pmw-1.3.2.tgz
NetBSD 9.0mips64ebpy27-Pmw-1.3.2.tgz
NetBSD 9.0powerpcpy27-Pmw-1.3.2.tgz
NetBSD 9.0powerpcpy27-Pmw-1.3.2.tgz
NetBSD 9.0sparc64py27-Pmw-1.3.2.tgz
NetBSD 9.0sparc64py27-Pmw-1.3.2.tgz
NetBSD 9.0sparc64py27-Pmw-1.3.2.tgz
NetBSD 9.0sparc64py27-Pmw-1.3.2.tgz
NetBSD 9.0sparcpy27-Pmw-1.3.2.tgz
NetBSD 9.0sparcpy27-Pmw-1.3.2.tgz
NetBSD 9.0sparcpy27-Pmw-1.3.2.tgz
NetBSD 9.0x86_64py27-Pmw-1.3.2.tgz
NetBSD 9.0x86_64py27-Pmw-1.3.2.tgz
NetBSD 9.0x86_64py27-Pmw-1.3.2.tgz
NetBSD 9.0x86_64py27-Pmw-1.3.2.tgz
NetBSD 9.0x86_64py27-Pmw-1.3.2.tgz
NetBSD 9.0x86_64py27-Pmw-1.3.2.tgz
NetBSD 9.0x86_64py27-Pmw-1.3.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.